From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/gson/
Date: Tue, 26 Oct 2021 10:10:10 +0000 (UTC) [thread overview]
Message-ID: <1635243008.6ff0530bb802ca7958f741297e00291ef861c6a1.fordfrog@gentoo> (raw)
commit: 6ff0530bb802ca7958f741297e00291ef861c6a1
Author: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 26 10:10:03 2021 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Tue Oct 26 10:10:08 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ff0530b
dev-java/gson: bump to 2.8.8
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
dev-java/gson/Manifest | 1 +
dev-java/gson/gson-2.8.8.ebuild | 56 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-java/gson/Manifest b/dev-java/gson/Manifest
index 2f13307216b..f2299df636a 100644
--- a/dev-java/gson/Manifest
+++ b/dev-java/gson/Manifest
@@ -1 +1,2 @@
+DIST gson-2.8.8-sources.tar.gz 393941 BLAKE2B ebdd1088a069eea58e5ea4e2eddea0d42064c53f7284778b1b7217c8bc7abeb7e14350e19d838af1d94f78c5c38aca6de0f37674b022f0e528ed65eef803c3f1 SHA512 f90ad679c99c5e9a6ee9e397e59ab1d7d94a9c82366902b808addc40ebbab101fdba7fc83e4666c4f35e52d8b127e6f901e65072a7de210496466074dcd043c5
DIST gson-parent-2.8.7.tar.gz 391617 BLAKE2B 2c0fa3927d44c4a5c961518955dfbe6fee60dd61026002d0152d25d6f22dd4ac08b4323256af1053d0f17ef5d9f2a2a3ee86cedebd52a112d258e8c8c37e545d SHA512 044032b24ec1198d054807ccbfd91301307992b6e7d03a2e8578be79a2cdb28ba0ba57a954f11ad43022ec696c1522d242ed6b1045f831c9a370e0621e674fe0
diff --git a/dev-java/gson/gson-2.8.8.ebuild b/dev-java/gson/gson-2.8.8.ebuild
new file mode 100644
index 00000000000..d8e2d41c924
--- /dev/null
+++ b/dev-java/gson/gson-2.8.8.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom gson/pom.xml --download-uri https://github.com/google/gson/archive/gson-parent-2.8.8.tar.gz --slot 2.6 --keywords "~amd64 ~ppc64 ~x86" --ebuild gson-2.8.8.ebuild
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="com.google.code.gson:gson:2.8.8"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Gson JSON library"
+HOMEPAGE="https://github.com/google/gson/gson"
+SRC_URI="https://github.com/google/${PN}/archive/${PN}-parent-${PV}.tar.gz -> ${P}-sources.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="2.6"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+# Compile dependencies
+# POM: ${PN}/pom.xml
+# test? com.github.wvengen:proguard-maven-plugin:2.4.0 -> !!!groupId-not-found!!!
+# test? junit:junit:4.13.2 -> >=dev-java/junit-4.13.2:4
+
+DEPEND="
+ >=virtual/jdk-1.8:*
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+"
+
+S="${WORKDIR}/${PN}-${PN}-parent-${PV}/${PN}"
+
+JAVA_SRC_DIR=(
+ "src/main/java"
+ "src/main/java-templates"
+)
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4"
+JAVA_TEST_SRC_DIR="src/test/java"
+JAVA_TEST_RESOURCE_DIRS=(
+ "src/test/resources"
+)
+
+JAVA_TEST_EXCLUDES=(
+ # requires the test class to be obfuscated using proguard which we do not have atm
+ "com.google.gson.functional.EnumWithObfuscatedTest"
+)
+
+src_prepare() {
+ default
+ sed -i "s/\${project.version}/${PV}/g" src/main/java-templates/com/google/gson/internal/GsonBuildConfig.java || die "Failed to set version"
+}
next reply other threads:[~2021-10-26 10:10 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-10-26 10:10 Miroslav Šulc [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-17 8:18 [gentoo-commits] repo/gentoo:master commit in: dev-java/gson/ Miroslav Šulc
2024-08-16 14:07 Arthur Zamarin
2024-08-14 22:03 Sam James
2024-08-14 20:21 Sam James
2024-08-14 20:21 Sam James
2024-07-16 10:08 Miroslav Šulc
2024-07-13 11:54 Miroslav Šulc
2024-07-10 10:22 Miroslav Šulc
2024-05-25 7:50 Florian Schmaus
2024-01-05 10:38 Miroslav Šulc
2024-01-05 9:48 Sam James
2024-01-05 8:13 Sam James
2024-01-05 8:13 Sam James
2024-01-05 8:13 Sam James
2023-04-28 6:28 Miroslav Šulc
2023-04-28 6:15 Sam James
2023-04-28 6:15 Sam James
2023-04-28 6:15 Sam James
2023-04-28 6:15 Sam James
2023-03-29 5:42 Miroslav Šulc
2022-10-20 16:32 Miroslav Šulc
2022-10-20 10:56 Jakov Smolić
2022-10-20 10:52 Jakov Smolić
2022-10-19 8:25 Jakov Smolić
2022-10-18 18:51 Sam James
2022-09-18 10:21 Florian Schmaus
2022-09-01 4:31 Miroslav Šulc
2022-08-01 18:08 Arthur Zamarin
2022-07-31 17:12 Arthur Zamarin
2022-07-30 2:34 Sam James
2022-07-30 2:33 Sam James
2022-07-30 2:33 Sam James
2022-07-28 9:10 Sam James
2022-06-17 10:48 Arthur Zamarin
2022-06-11 23:28 Sam James
2022-06-11 7:36 Agostino Sarubbo
2022-06-10 20:20 Jakov Smolić
2022-05-11 17:16 Florian Schmaus
2022-05-11 17:16 Florian Schmaus
2022-05-11 13:36 Florian Schmaus
2022-05-06 11:46 Florian Schmaus
2022-01-27 7:53 Miroslav Šulc
2022-01-26 19:16 Arthur Zamarin
2022-01-25 22:16 Sam James
2022-01-25 8:50 Jakov Smolić
2022-01-25 8:50 Jakov Smolić
2022-01-20 10:20 Miroslav Šulc
2022-01-07 20:42 Arthur Zamarin
2022-01-07 20:41 Arthur Zamarin
2021-11-26 9:23 Sam James
2021-11-12 8:16 Agostino Sarubbo
2021-11-11 11:35 Agostino Sarubbo
2021-07-18 9:39 Florian Schmaus
2021-07-01 14:37 Miroslav Šulc
2021-07-01 14:37 Miroslav Šulc
2021-06-14 6:39 Sergei Trofimovich
2021-04-27 13:45 Miroslav Šulc
2021-04-27 13:45 Miroslav Šulc
2021-04-27 13:25 Miroslav Šulc
2016-10-14 2:58 Austin English
2016-05-11 21:07 James Le Cuirot
2015-09-01 19:00 Tobias Klausmann
2015-08-18 19:47 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1635243008.6ff0530bb802ca7958f741297e00291ef861c6a1.fordfrog@gentoo \
--to=fordfrog@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox